Counter-Strike via cedega no Slackware 10

Este tutorial visa a instalação do Steam (Counter-Strike, Half-Life, Dod e outros) no Slackware 10 com kernel série 2.6. Vou partir do princípio de que você já sabe o que é o Steam e possui o CD do software.

[ Hits: 57.662 ]

Por: Ricardo Salveti de Araujo em 07/11/2004


Compilando a glibc



1 - Pegue todos os arquivos do link abaixo e coloque em algum lugar de sua preferência:

ftp://ftp.slackware-brasil.com.br/slackware-current/source/l/glibc/

# mkdir glibc
# cd glibc
# wget ftp://ftp.slackware-brasil.com.br/slackware-current/source/l/glibc/*


2 - Edite o arquivo glibc.SlackBuild e modifique as seguintes linhas:

Original:
CFLAGS="-g $OPTIMIZ" \
../configure \
  --prefix=/usr \
  --enable-add-ons=libidn,linuxthreads \
  --without-tls \
  --without-cvs \
  $TARGET-slackware-linux

Modificado:

CFLAGS="-g $OPTIMIZ" \
../configure \
  --prefix=/usr \
  --enable-add-ons=libidn,nptl \
  --with-tls \
  --without-cvs \
  $TARGET-slackware-linux

3 - Execute o script glibc.SlackBuild para configurar, compilar e fazer os pacotes:

# ./glibc.SlackBuild

Preste atenção se a compilação ocorreu sem problemas, pois compilando ou não, os pacotes serão feitos e se instalar esses pacotes defeituosos você destrói o sistema. Verifique se os tamanhos dos pacotes estão próximos aos listados abaixo:
18M    glibc-2.3.3-i486-2.tgz
11M    glibc-i18n-2.3.3-noarch-2.tgz
1004K  glibc-profile-2.3.3-i486-2.tgz
3.3M   glibc-solibs-2.3.3-i486-2.tgz
280K   glibc-zoneinfo-2.3.3-noarch-2.tgz

Se tudo ocorrer bem, os pacotes estarão em /tmp. Para instalar os pacotes, siga o próximo passo.

OBS: Como os arquivos da glibc estão no slackware-current, talvez alguns arquivos mudem, fiz a compilação com base nos seguintes arquivos:

doinst.sh-glibc
doinst.sh-glibc-solibs
doinst.sh-glibc-zoneinfo
glibc-2.3.3-200410112214.tar.bz2
glibc-cvs-checkout.sh
glibc.SlackBuild
glibc.locale.no-archive.diff.gz
slack-desc.glibc
slack-desc.glibc-debug
slack-desc.glibc-i18n
slack-desc.glibc-i18n
slack-desc.glibc-profile
slack-desc.glibc-solibs
slack-desc.glibc-zoneinfo
timezone-scripts.tar.gz

Página anterior     Próxima página

Páginas do artigo
   1. Introdução
   2. Compilando a glibc
   3. Instalando os pacotes
Outros artigos deste autor

Controlando projetos com o Subversion

Leitura recomendada

Jogo Portal e outros games da Valve no Linux via Steam

Instalando e configurando o Zsnes no Debian Squeeze

T.E.G. :: WAR do tabuleiro para o Linux

Rodando Tíbia no GNU/Linux

Lineage II no Linux

  
Comentários
[1] Comentário enviado por fabio em 07/11/2004 - 21:06h

Muito bom o artigo! Não uso o Slack e muito menos possuo o CD do Steam, mas ao que o artigo se propõe, as colocações ficaram muito claras.

Parabéns!!!

[2] Comentário enviado por holz em 08/11/2004 - 07:17h

Isso ai, da Unicamp para o mundo...Fiz esse procedimento no meu pc e funfo legal. É isso ai salveti...a cada jogo novo instalado, novos artigos...

[3] Comentário enviado por buds em 17/02/2006 - 20:55h

[email protected]:~/glibc# wget ftp://ftp.slackware-brasil.com.br/slackware-current/source/l/glibc/*.*
--20:53:37-- ftp://ftp.slackware-brasil.com.br/slackware-current/source/l/glibc/*.*
=> `.listing'
Resolving ftp.slackware-brasil.com.br... 200.137.205.253
Connecting to ftp.slackware-brasil.com.br|200.137.205.253|:21... connected.
Logging in as anonymous ...
Login incorrect.
unlink: No such file or directory

[4] Comentário enviado por Pr0f3t4 em 04/09/2006 - 01:29h

hecking installed Linux kernel header files... TOO OLD!
configure: error: GNU libc requires kernel header files from
Linux 2.0.10 or later to be installed before configuring.
The kernel header files are found usually in /usr/include/asm and
/usr/include/linux; make sure these directories use files from
Linux 2.0.10 or later. This check uses <linux/version.h>, so
make sure that file was built correctly when installing the kernel header
files. To use kernel headers not from /usr/include/linux, use the
configure option --with-headers.
make: *** No targets specified and no makefile found. Stop.


Como eu resolvo isso !?
Estou usando o Slack Current

[5] Comentário enviado por rsalveti em 04/09/2006 - 08:08h

Como você já está utilizando o slack-current, peço para que verifique se está mensagem ainda está aparecendo.

# cedega SteamInstall.exe

Your system requires the use of pthreads but the
maximum system allowed stack size of 2052 kB may
be too small for some games.
If you experience problems, try rerunning with
"-use-pthreads no" which may help.

Caso esteja aparecendo e você já está com o kernel 2.6, você terá que atualizar a glibc.

Atualmente, no slack-current, você não precisa mais realizar nenhuma modificação para que o cedega funcione, já que a glibc + kernel 2.6 já está com nptl como default.

Abraços,

Salveti


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts